# Generated by Django 2.1.7 on 2019-03-01 10:02

from django.db import migrations, models
import django.db.models.deletion
import votes.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('base', '0017_auto_20190120_1719'),
        ('people', '0004_auto_20181219_0858'),
    ]

    operations = [
        migrations.CreateModel(
            name='Votes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment', models.CharField(max_length=100, verbose_name='Commentaire ?')),
                ('type_vote', models.CharField(choices=[(votes.models.VoteType('EDT'), 'EDT'), (votes.models.VoteType('QUOTE'), 'QUOTE')], default=votes.models.VoteType('EDT'), max_length=5)),
                ('opinion', models.CharField(choices=[(votes.models.Opinion('l'), 'l'), (votes.models.Opinion('d'), 'd')], default=votes.models.Opinion('l'), max_length=1)),
                ('edt_version', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.EdtVersion')),
                ('student', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='people.Student')),
            ],
        ),
    ]
